# SXP Reference

SXP_registerDOMHandler | Functions

#### Syntax

         SXP_registerDOMHandler(S, domh);

Name | Type | Description
--- | --- | ---
`S` | `SablotSituation` | The current situation.
`domh` | `DOMHandler *` | Pointer to the new DOM handler.

#### Description

Registers a new `DOMHandler` with the given `SablotSituation`. There may only be one DOM handler per situation. The DOM handler will receive all DOM requests made during evaluation with the situation S. To unregister the handler, use `SXP_unregisterDOMHandler`.

#### See Also

Groups | [ Functions ]
Entries | [ DOMHandler | SXP_unregisterDOMHandler | SablotSituation ]

© 2001-2003 Ginger Alliance
revision 03-01-31
This page was generated by APIDOC